################################################################################
# 
# SpectraProc Database Query Interface
# 
################################################################################

#--------------------------------------------------
# Packages
#--------------------------------------------------


package require mysqltcl
package require BWidget
package require Tktable 2.9
package require Plotchart
package require Itcl

#--------------------------------------------------
# RAM Debugger (for remote debugging)
#--------------------------------------------------
#lappend ::auto_path C:\Tcl\lib\RamDebugger5.6\addons
#package require commR
#comm::register SpectraProc 1

#--------------------------------------------------
# Namespace Imports
#--------------------------------------------------
namespace import itcl::*

#--------------------------------------------------
# Read other source files
#--------------------------------------------------
source event_handler_procs.tcl
source gui_creation.tcl
source generic_sql_creation.tcl
source generic_routines.tcl
source table_classes.tcl
source selection_logic.tcl
source query_output.tcl


#--------------------------------------------------
# Debug Globals
#--------------------------------------------------

set debug_txt_setting 0

#--------------------------------------------------
# Globals
#--------------------------------------------------
set row_cnt 0
set campaign_wildcards ""
set species_wildcards ""
set report_level 1
set sql_select_query ""
set sql_count_query ""
set startup 1

set CAMPAIGN 1
set SPECIES 2
set SITE 3
set SPECTRUM 4

#--------------------------------------------------
# Database Connection
#--------------------------------------------------
set db_handle [mysqlconnect -host localhost -db spectral_db -user SpectraProc -password SpectraProc]

# ------------------
# Main
# ------------------
create_GUI
build_sql_query































